/**
 * @author Roman Novacek
 * @company HSF, spol. s r. o.
 */

package cz.hsf.novacek;


public interface SpravceUctu {
   
   /** 
    * Zalozi novy ucet v dane mene a provede pocatecni vklad.
    * @return cislo nove zalozeneho uctu.
    */
   String zalozUcet(Mena mena, double pocatecniVklad);
   
   /** Provede vklad na zadany ucet. */
   void vklad(String ucet, double castka) throws NeznamyUcetException;
   
   /** Provede vyber ze zadaneho uctu. */
   void vyber(String ucet, double castka) throws NeznamyUcetException, MaloPenezException;
   
   /** Provede prevod zadane castky z jednoho uctu na druhy. */
   void prevod(String zUctu, String naUcet, double castka) throws NeznamyUcetException, MaloPenezException;
}
