/**
 * @author Roman Novacek
 * @company HSF, spol. s r. o.
 */

package cz.hsf.novacek;


public interface Ucet {

   /** Vraci cislo uctu. */
   String cisloUctu();
   
   /** Vraci menu uctu. */
   Mena mena();
   
   /** Vraci aktualni zustatek na ucte. */
   double zustatek();
   
   /** Zmeni zustatek uctu a zaznamena operaci do historie uctu. */ 
   void pohyb(double castka, String popis) throws MaloPenezException;
}
