/**
 * @author Roman Novacek
 * @company HSF, spol. s r. o.
 */

package cz.hsf.novacek;


public class UcetImpl implements Ucet {
   
   private final String cisloUctu;
   private final Mena mena;
   private double zustatek;

   public UcetImpl(final String cisloUctu, final Mena mena, double pocatecniVklad) {
      this.cisloUctu = cisloUctu;
      this.mena = mena;
      this.zustatek = pocatecniVklad;
   }

   public String cisloUctu() {
      return cisloUctu;
   }

   public Mena mena() {
      return mena;
   }

   public double zustatek() {
      return zustatek;
   }

   public void pohyb(double castka, String popis)
         throws MaloPenezException {
      
      double novyZustatek = zustatek + castka;
      
      if (novyZustatek < 0.0)
         throw new MaloPenezException();
      
      zustatek = novyZustatek;
      
      // TODO zaznamenat pohyb do historie uctu
   }
}
